{
  description = "Matemat";

  outputs = { self, nixpkgs }:
    let
      systems = [ "x86_64-linux" "i686-linux" "aarch64-linux" ];
      forSystems = nixpkgs.lib.genAttrs systems;
    in {
      packages = forSystems (system: {
        yammat = nixpkgs.legacyPackages.${system}.haskellPackages.callPackage ./pkg.nix {};
      });

      defaultPackage = forSystems (system:
        self.packages.${system}.yammat
      );

      devShell = forSystems (system:
        import ./shell.nix {
          nixpkgs = nixpkgs.legacyPackages.${system};
        }
      );

      nixosModule = import ./nixos-module.nix;
    };
}
